/** written by olaf booij
 *  public domain */

#include <iostream>
#include <string>
#include <qrsmurrie/qrencode_wrapper.hpp>
#include <qrsmurrie/random_string.hpp>
#include <qrsmurrie/image_compare.hpp>
#include <qrsmurrie/io.hpp>
#include <boost/timer/timer.hpp>

using namespace qrsmurrie;
int main()
{
  std::srand(std::time(NULL));
  std::string text = "Hello world filled with ugly qr codes";
  std::string random_string = generate_random_string(text.size());
  std::cout << ">" << random_string << "<" << std::endl;
	QRcodePtr qrcode = encodeQR(random_string);
  MonoImage whiteImage(getNrOfQRValues(*qrcode), true);
  printQRcode(*qrcode);
  std::cout << "diffence is " << differenceImageQR(whiteImage, *qrcode) << std::endl;
  return(0);
}
