/** written by olaf booij
 *  public domain */

#include <iostream>
#include <string>
#include <qrsmurrie/qrencode_wrapper.hpp>
#include <qrsmurrie/image_compare.hpp>
#include <qrsmurrie/io.hpp>
#include <boost/timer/timer.hpp>

using namespace qrsmurrie;
int main()
{
  std::string text = "Hello world filled with ugly qr codes";
	QRcodePtr qrcode = encodeQR(text);
  MonoImage whiteImage(getNrOfQRValues(*qrcode), true);
  printQRcode(*qrcode);
  boost::timer::auto_cpu_timer t;
  std::cout << "diffence is " << differenceImageQR(whiteImage, *qrcode) << std::endl;
  return(0);
}
