/** written by olaf booij
 *  public domain */

#include <iostream>
#include <string>
#include <cstdlib>
#include <ctime>
#include <qrsmurrie/random_string.hpp>
#include <qrsmurrie/crossover.hpp>

using namespace qrsmurrie;
int main()
{
  std::srand(std::time(NULL));
  std::string text = "Hello world filled with ugly qr codes";
  std::string random_string_begin = generate_random_string(text.size());
  std::string random_string_end   = generate_random_string(text.size());
  std::cout << ">" << random_string_begin << "<" << std::endl;
  std::cout << ">" << random_string_end   << "<" << std::endl;
  std::string crossover_string = crossover(random_string_begin, random_string_end);
  std::cout << ">" << crossover_string << "<" << std::endl;
  return(0);
}
